Support für Gruppierung von Sessions
Status: In Progress Start date: 2012-09-20

Priority: Normal Due date: 2012-09-21

Assignee: Ingo Lütkebohle % Done: 90%

Category: datamapper Estimated time: 6.00 hours

Target version: 2.0   

Description

Gruppierung von mehreren, nicht unbedingt zeitliche aufeinanderfolgenden, Sessions anhand eines einheitlichen Merkmals (z.B.

dem beteiligten Probanden).

Das Merkmal wird einfach als String angegeben. Es soll ein Verzeichnis gleichen Namens angelegt werden. Innerhalb dieses

Verzeichnisses wird dann nochmal aufsteigend gezählt, und ein entsprechendes Run-Verzeichnis angelegt. Innerhalb dieses

Session-Verzeichnisses wird dann das bisherige Sxx_Ryyy Verzeichnis angelegt.

Die bisher verwendeten Merkmale werden in einer Extra-Datei gespeichert, damit sie von verschiedenen Konfigurationen aus

verwendet werden können. In der Konfiguration selbst wird nur das gerade aktive Merkmal gespeichert.

Associated revisions

Revision 2475 - 2012-09-21 09:22 - Ingo Lütkebohle

Basic support for loading grouped runs.  (refs #110)

Revision 2480 - 2012-09-21 13:56 - Ingo Lütkebohle

Fix path resolving (refs #110).

Revision 2481 - 2012-09-21 14:27 - Ingo Lütkebohle

Fix endless loop in toString()

Add method to get relative sub-path of runs (refs #110)

Add real tests for resolving (refs #110)

Revision 2482 - 2012-09-21 14:27 - Ingo Lütkebohle

Fix endless loop in toString()

Add method to get relative sub-path of runs (refs #110)

Add real tests for resolving (refs #110)

Revision 2483 - 2012-09-21 14:49 - Ingo Lütkebohle

Support [group/[grouprun/]]session-run directory structure also for outputs. closes #110

History

#1 - 2012-09-20 12:55 - Ingo Lütkebohle

- Tracker changed from Bug to Feature

#2 - 2012-09-20 15:56 - Ingo Lütkebohle

- Due date set to 2012-09-21

- % Done changed from 0 to 20

- Estimated time set to 1.00

2024-05-12 1/2



Basisimplementierung, die die aktuell für den SportsCompanion vorhandene Struktur parsed, sofern eine runlog-Datei vorhanden ist.

#3 - 2012-09-20 15:57 - Ingo Lütkebohle

- Status changed from New to In Progress

#4 - 2012-09-20 15:57 - Ingo Lütkebohle

- Estimated time changed from 1.00 to 3.00

#5 - 2012-09-20 15:57 - Ingo Lütkebohle

- % Done changed from 20 to 30

#6 - 2012-09-21 14:52 - Ingo Lütkebohle

- % Done changed from 30 to 90

- Estimated time changed from 3.00 to 6.00

Powered by TCPDF (www.tcpdf.org)

2024-05-12 2/2

http://www.tcpdf.org

